package admin_promotion

import (
	"net/http"

	"hm-server/app/main/api/internal/logic/admin_promotion"
	"hm-server/app/main/api/internal/svc"
	"hm-server/app/main/api/internal/types"
	"hm-server/common/result"
	"hm-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func GetPromotionLinkListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetPromotionLinkListReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_promotion.NewGetPromotionLinkListLogic(r.Context(), svcCtx)
		resp, err := l.GetPromotionLinkList(&req)
		result.HttpResult(r, w, resp, err)
	}
}
